Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(72)

Issue 2065823004: [DevTools] Whitelist remoteFrontendUrl and remoteBase params. (Closed)

Created:
3 years, 2 months ago by dgozman
Modified:
3 years, 1 month ago
Reviewers:
caseq, lushnikov
CC:
chromium-reviews, caseq+blink_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, apavlov+blink_chromium.org, devtools-reviews_chromium.org, blink-reviews, sergeyv+blink_chromium.org, pfeldman, kozyatinskiy+blink_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

[DevTools] Whitelist remoteFrontendUrl and remoteBase params. This also fixes loadScriptsPromise to not normalize hostname. BUG=619414, 618333 Committed: https://crrev.com/554517a4587bfb0071bcd3c7eff6645a0b06d72a Cr-Commit-Position: refs/heads/master@{#400768}

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -3 lines) Patch
M third_party/WebKit/Source/devtools/front_end/Runtime.js View 2 chunks +8 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/devtools.js View 2 chunks +5 lines, -1 line 2 comments Download

Messages

Total messages: 14 (4 generated)
dgozman
Could you please take a look?
3 years, 2 months ago (2016-06-15 13:50:07 UTC) #2
caseq
lgtm https://codereview.chromium.org/2065823004/diff/1/third_party/WebKit/Source/devtools/front_end/devtools.js File third_party/WebKit/Source/devtools/front_end/devtools.js (right): https://codereview.chromium.org/2065823004/diff/1/third_party/WebKit/Source/devtools/front_end/devtools.js#newcode988 third_party/WebKit/Source/devtools/front_end/devtools.js:988: var remoteBaseRegexp = /^https:\/\/chrome-devtools-frontend\.appspot\.com\/serve_file\/@[0-9a-zA-Z]+\/?$/; nit: consider extracting a ...
3 years, 2 months ago (2016-06-16 12:51:16 UTC) #3
dgozman
https://codereview.chromium.org/2065823004/diff/1/third_party/WebKit/Source/devtools/front_end/devtools.js File third_party/WebKit/Source/devtools/front_end/devtools.js (right): https://codereview.chromium.org/2065823004/diff/1/third_party/WebKit/Source/devtools/front_end/devtools.js#newcode988 third_party/WebKit/Source/devtools/front_end/devtools.js:988: var remoteBaseRegexp = /^https:\/\/chrome-devtools-frontend\.appspot\.com\/serve_file\/@[0-9a-zA-Z]+\/?$/; On 2016/06/16 12:51:16, caseq wrote: ...
3 years, 1 month ago (2016-06-20 19:05:56 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2065823004/1
3 years, 1 month ago (2016-06-20 19:06:35 UTC) #6
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 1 month ago (2016-06-20 20:33:43 UTC) #7
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/554517a4587bfb0071bcd3c7eff6645a0b06d72a Cr-Commit-Position: refs/heads/master@{#400768}
3 years, 1 month ago (2016-06-20 20:41:12 UTC) #9
Rafał Chłodnicki
I wish that the URL would be constructed from constants defined in chrome/browser/ui/webui/devtools_ui.cc and exposed ...
3 years, 1 month ago (2016-06-30 14:36:39 UTC) #10
dgozman
On 2016/06/30 14:36:39, Rafał Chłodnicki wrote: > I wish that the URL would be constructed ...
3 years, 1 month ago (2016-06-30 16:25:53 UTC) #11
Rafał Chłodnicki
On 2016/06/30 16:25:53, dgozman wrote: > On 2016/06/30 14:36:39, Rafał Chłodnicki wrote: > > I ...
3 years, 1 month ago (2016-07-01 10:02:42 UTC) #12
dgozman
3 years, 1 month ago (2016-07-06 17:08:01 UTC) #14
Message was sent while issue was closed.
+lushnikov, who was interested in this area.

Powered by Google App Engine
This is Rietveld 408576698